public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/sci:master commit in: sci-libs/oneMKL/
Date: Sat, 25 Feb 2023 09:48:35 +0000 (UTC)	[thread overview]
Message-ID: <1677318505.557187c1592b829a58b9e5f5a4a9215ab52d05f0.andrewammerlaan@gentoo> (raw)

commit:     557187c1592b829a58b9e5f5a4a9215ab52d05f0
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 25 09:48:25 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Feb 25 09:48:25 2023 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=557187c1

sci-libs/oneMKL: add 0.2_p20230221

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-libs/oneMKL/oneMKL-0.2_p20230221.ebuild | 59 +++++++++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/sci-libs/oneMKL/oneMKL-0.2_p20230221.ebuild b/sci-libs/oneMKL/oneMKL-0.2_p20230221.ebuild
new file mode 100644
index 000000000..896ed4566
--- /dev/null
+++ b/sci-libs/oneMKL/oneMKL-0.2_p20230221.ebuild
@@ -0,0 +1,59 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+COMMIT="793c771c60f5105c12eaf59e1534eeb21d1cfe4a"
+
+DESCRIPTION="oneAPI Math Kernel Library Interfaces "
+HOMEPAGE="https://github.com/oneapi-src/oneMKL"
+SRC_URI="https://github.com/oneapi-src/oneMKL/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+IUSE="test"
+# Tests don't compile properly
+# RESTRICT="!test? ( test )"
+RESTRICT="test"
+
+BDEPEND="sys-devel/DPC++"
+
+DEPEND="
+	dev-cpp/tbb:=
+	sci-libs/lapack[lapacke]
+	sci-libs/mkl
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-0.2_p20221201-find-lapacke.patch"
+)
+
+src_prepare() {
+	# DPC++ compiler required for full functionality
+	export CC="${ESYSROOT}/usr/lib/llvm/intel/bin/clang"
+	export CXX="${ESYSROOT}/usr/lib/llvm/intel/bin/clang++"
+
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DCMAKE_CXX_COMPILER="${ESYSROOT}/usr/lib/llvm/intel/bin/clang++"
+		-DCMAKE_C_COMPILER="${ESYSROOT}/usr/lib/llvm/intel/bin/clang"
+		-DMKL_ROOT="${ESYSROOT}/opt/intel/oneapi/mkl/latest"
+		-DBUILD_FUNCTIONAL_TESTS="$(usex test)"
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+	# Move into the correct libdir
+	mv "${ED}/usr/lib" "${ED}/usr/$(get_libdir)" || die
+}


                 reply	other threads:[~2023-02-25  9:48 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1677318505.557187c1592b829a58b9e5f5a4a9215ab52d05f0.andrewammerlaan@gentoo \
    --to=andrewammerlaan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox